import { ConfigurationService } from "./configuration.service.js";
import { DownloaderService } from "./downloader.service.js";
import { BrowserClientService } from "./new/browser-client.service.js";
import { BrowserPlatformService } from "./new/browser-platform.service.js";
import { PromptingService } from "./prompting.service.js";
import { ValidationService } from "./validation.service.js";
export declare class ServiceLocator {
    private _browserClientService?;
    private _browserPlatformService?;
    private _configurationService?;
    private _downloaderService?;
    private _promptingService?;
    private _validationService?;
    get browserClientService(): BrowserClientService;
    get browserPlatformService(): BrowserPlatformService;
    get configurationService(): ConfigurationService;
    get downloaderService(): DownloaderService;
    get promptingService(): PromptingService;
    get validationService(): ValidationService;
}
declare const _default: ServiceLocator;
export default _default;
